
Redmine - Feature #4119

Use /raw/ for url instead of format=raw for showing raw repository files

2009-10-27 01:43 - Eric Davis

Status: Closed Start date: 2009-10-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

Change the repository routes so 

http://www.redmine.org/projects/redmine/repository/revisions/2317/entry/trunk/config/routes.rb?format=raw becomes 

http://www.redmine.org/projects/redmine/repository/revisions/2317/raw/trunk/config/routes.rb

References:

http://www.redmine.org/issues/1901#note-17

http://www.redmine.org/issues/1901#note-20

Related issues:

Related to Redmine - Patch #1901: RESTful URLs for everything Closed 2008-09-15

Associated revisions

Revision 3074 - 2009-11-16 20:39 - Jean-Philippe Lang

Use /raw/ for url instead of ?format=raw for getting raw repository files (#1901, #4119).

History

#1 - 2009-11-16 20:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Done in r3074.
